# -*- Mode: Makefile -*-
#
####---------------------------------------------------------###
# description	: Alliance include file for Makefiles
# architecture	: SunOS adagio 5.5.1 Generic sun4u sparc SUNW,Ultra-1
# date		: Mon Dec 15 21:04:43 MET 1997
# file		: Solaris.mk
#

# The variables $TOP and $MACHINE are set by
# alc_env.[c]sh script

ALLIANCE_VERSION = '"3.2b"'
ALLIANCE_BIN     = $(TOP)/bin
ALLIANCE_LIB     = $(TOP)/lib
ALLIANCE_INCLUDE = $(TOP)/include
ALLIANCE_CELLS   = $(TOP)/cells
ALLIANCE_ETC     = $(TOP)/etc

# distrib path
TARGET_BIN       = $(TOP)/bin
TARGET_LIB       = $(TOP)/lib
TARGET_INCLUDE   = $(TOP)/include

# develloppers path
#TARGET_BIN       = $(HOME)/labo/$(MACHINE)/bin
#TARGET_LIB       = $(HOME)/labo/$(MACHINE)/lib
#TARGET_INCLUDE   = $(HOME)/labo/$(MACHINE)/include

GNU_LIB          = /labo/gnu/lib
GNU_INCLUDE      = /labo/gnu/include


X11_LIB          = .  -L/labo/X11R6/lib -R/labo/X11R6/lib -lsocket  -lnsl  -lSM -lICE
X11_INCLUDE      = .  -I/labo/X11R6/include

#You may need -lXintl
MOTIF_LIB        = /usr/dt/lib -R /usr/dt/lib
MOTIF_INCLUDE    = /usr/dt/include

SHELL		= /bin/sh
CSH		= /bin/csh
CP		= /bin/cp
MV		= /bin/mv
RM		= /bin/rm
MKDIR		= /bin/mkdir
FIND		= /bin/find
SED		= /users/outil6/absynth/local//Solaris/bin/sed
AWK		= /users/outil6/absynth/local//Solaris/bin/gawk
TR		= /bin/tr
TOUCH		= /bin/touch
STRIP		= /usr/ccs/bin/strip
RANLIB		= /usr/ccs/bin/ranlib

MAKE             = /labo/gnu/bin/make
MAKEFLAGS        = 

CC               = /usr/local/bin/gcc
CFLAGS           = -O4 -Wall
CPPFLAGS         = 

#CFLAGS           = -DALLIANCE_DISTRIB
#CPPFLAGS         = -DALLIANCE_DISTRIB

YACC             = /labo/gnu/bin/bison
YACCFLAGS        = -y 

LEX              = /labo/gnu/bin/flex
LEXFLAGS         = 

AR               = /usr/ccs/bin/ar
ARFLAGS          = rv

# EOF
